LineCache (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader.netmap
Class LineCache

    java.lang.Object
      com.bbn.openmap.graphicLoader.netmap.LineCache

    public class LineCache

extends java.lang.Object

The holder for Lines on the map. This cache is smart enough to add/delete/modify Lines as needed based on line labels and nodes.

Constructor Summary
`LineCache()`
`LineCache(int initialCapacity)`

Method Summary
`Line` | `add(java.lang.String label, int index, int shape, int color, Node node1, Node node2)`
`void` | `del(int index)`
`void` | `del(Line[] lines)`
`void` | `del(Node atNode)`
`void` | `del(Node atNode1, Node atNode2)`
`void` | `del(java.lang.String label)`
`java.util.Enumeration` | `elements()`
`void` | `flush()`
`Line` | `get(int index)`
`Line[]` | `get(Node atNode)`
`Line` | `get(Node atNode1, Node atNode2)`
`Line` | `get(java.lang.String label)`
`void` | `move(Node atNode)`
`void` | `move(Node atNode1, Node atNode2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineCache

    public LineCache()

### LineCache

    public LineCache(int initialCapacity)

Method Detail

### flush

    public void flush()

### elements

    public java.util.Enumeration elements()

### add

    public Line add(java.lang.String label,
                    int index,
                    int shape,
                    int color,
                    Node node1,
                    Node node2)

### move

    public void move(Node atNode)

### move

    public void move(Node atNode1,
                     Node atNode2)

### get

    public Line[] get(Node atNode)

### get

    public Line get(Node atNode1,
                    Node atNode2)

### get

    public Line get(java.lang.String label)

### get

    public Line get(int index)

### del

    public void del(Node atNode)

### del

    public void del(Line[] lines)

### del

    public void del(Node atNode1,
                    Node atNode2)

### del

    public void del(int index)

### del

    public void del(java.lang.String label)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details